# Responsive-Blog-Website

The PHP & MySQL Blog App with Admin Panel project is a web application that allows users to create and manage blog posts, categories, and users. The app is built using PHP and MySQL, two popular technologies for web development, and features a robust CRUD functionality that enables users to Create, Read, Update, and Delete posts, categories, and users.

# Technologies Used

- PHP
- MySQL
- HTML
- CSS
- JavaScript
- XAMPP Web Server

# Features

- Blog post management (CRUD functionality)
- Category management (CRUD functionality)
- User management and authentication (CRUD functionality)
- Sign in and sign up functionality
- Dashboard for users and admin
- Responsive Design
- Search funcrionality
- Live demo available

# Live Demo

|  #  | WebPage           | Live Demo                                                                                 |
| :-: | ----------------- | ----------------------------------------------------------------------------------------- |
| 01  | Index             | [Live Demo](https://underemployed.lovestoblog.com/index.php)                              |
| 02  | Blog              | [Live Demo](https://underemployed.lovestoblog.com/blog.php)                               |
| 03  | Category_Post     | [Live Demo](https://underemployed.lovestoblog.com/category-posts.php)                     |
| 04  | About             | [Live Demo](https://underemployed.lovestoblog.com/about.php)                              |
| 05  | Services          | [Live Demo](https://underemployed.lovestoblog.com/services.php)                           |
| 06  | Contact           | [Live Demo](https://underemployed.lovestoblog.com/contact.php)                            |
| 07  | SignIn            | [Live Demo](https://underemployed.lovestoblog.com/signin.php)                             |
| 08  | SignUp            | [Live Demo](https://underemployed.lovestoblog.com/signup.php)                             |
| 09  | Dashboard         | [Live Demo](https://underemployed.github.io/blog_website_template/dashboard.html)         |
| 10  | Edit_Posts        | [Live Demo](https://underemployed.github.io/blog_website_template/edit-post.html)         |
| 11  | Add_Post          | [Live Demo](https://underemployed.github.io/blog_website_template/add-post.html)          |
| 12  | Add_User          | [Live Demo](https://underemployed.github.io/blog_website_template/add-user.html)          |
| 13  | Manage_Users      | [Live Demo](https://underemployed.github.io/blog_website_template/manage-users.html)      |
| 14  | Edit_User         | [Live Demo](https://underemployed.github.io/blog_website_template/edit-user.html)         |
| 15  | Add_Category      | [Live Demo](https://underemployed.github.io/blog_website_template/add-category.html)      |
| 16  | Manage_Categories | [Live Demo](https://underemployed.github.io/blog_website_template/manage-categories.html) |
| 16  | Edit_Category     | [Live Demo](https://underemployed.github.io/blog_website_template/edit-category.html)     |

# Screenshots

- users Table (for storing users data both job seeker and provider ) (user field can be seeker or provider based on they select on the sign up page)

![Screenshot (118)](https://github.com/Underemployed/PHP-MySQL-Blog-Website-with-Admin-Panel-Backend/blob/main/user.png?raw=true)

- posts Table

![Screenshot (119)](https://github.com/Underemployed/PHP-MySQL-Blog-Website-with-Admin-Panel-Backend/blob/main/post.png?raw=true)

- categories Table

![Screenshot (119)](https://github.com/Underemployed/PHP-MySQL-Blog-Website-with-Admin-Panel-Backend/blob/main/categ.png?raw=true)
